efl::eina::_inarray_access_traits Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures | Static Public Member Functions
efl::eina::_inarray_access_traits Struct Reference
Eina C++Eina C++ » | Data Types » Containers » Inline Array Eina C++Eina C++ » | Data Types » | Containers

## Data Structures
struct | const_iterator
struct | const_native_handle
struct | iterator
struct | native_handle

## Static Public Member Functions
template<typename T >
static Eina_Inarray * | native_handle_from_const (Eina_Inarray const *array)
| Get a non-constant native `Eina_Inarray` handle from a constant one.
template<typename T >
static T & | back (Eina_Inarray *raw)
| Get a reference to the last element of the given `Eina_Inarray`.
template<typename T >
static T const & | back (Eina_Inarray const *raw)
| Get a constant reference to the last element of the given `Eina_Inarray`. More...
template<typename T >
static T & | front (Eina_Inarray *raw)
| Get a reference to the first element of the given `Eina_Inarray`.
template<typename T >
static T const & | front (Eina_Inarray const *raw)
| Get a constant reference to the first element of the given `Eina_Inarray`. More...
template<typename T >
static T * | begin (Eina_Inarray *raw)
| Get an iterator to the begin of the memory block of the given `Eina_Inarray`.
template<typename T >
static T * | end (Eina_Inarray *raw)
| Get an iterator to the end of the memory block of the given `Eina_Inarray`.
template<typename T >
static T const * | begin (Eina_Inarray const *raw)
| Get a constant iterator to the begin of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static T const * | end (Eina_Inarray const *raw)
| Get a constant iterator to the end of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static std::reverse_iterator< T const * > | rbegin (Eina_Inarray const *raw)
| Get a constant reverse iterator pointing to the reverse begin of the given Eina_Inarray. More...
template<typename T >
static std::reverse_iterator< T const * > | rend (Eina_Inarray const *raw)
| Get a constant reverse iterator pointing to the reverse end of the given Eina_Inarray. More...
template<typename T >
static std::reverse_iterator< T * > | rbegin (Eina_Inarray *raw)
| Get a reverse iterator pointing to the reverse begin of the given `Eina_Inarray`.
template<typename T >
static std::reverse_iterator< T * > | rend (Eina_Inarray *raw)
| Get a reverse iterator pointing to the reverse end of the given `Eina_Inarray`.
template<typename T >
static T const * | cbegin (Eina_Inarray const *raw)
| Get a constant iterator to the begin of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static T const * | cend (Eina_Inarray const *raw)
| Get a constant iterator to the end of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static std::reverse_iterator< T const * > | crbegin (Eina_Inarray const *raw)
| Get a constant reverse iterator to the end of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static std::reverse_iterator< T const * > | crend (Eina_Inarray const *raw)
| Get a constant reverse iterator to the begin of the memory block of the given `Eina_Inarray`. More...
template<typename T >
static bool | empty (Eina_Inarray const *raw)
| Check if the given Eina array is empty. More...
template<typename T >
static std::size_t | size (Eina_Inarray const *raw)
| Get the size of the given `Eina_Inarray`. More...
template<typename T >
static T const & | index (Eina_Inarray const *raw, std::size_t i)
| Get a constant reference to the element at the given position. More...
template<typename T >
static T & | index (Eina_Inarray *raw, std::size_t i)
| Get a reference to the element at the given position. More...

## Member Function Documentation

template<typename T >

static T const& efl::eina::_inarray_access_traits::back | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reference to the last element of the given `Eina_Inarray`.

Version of back(Eina_Inarray* raw) for const-qualified pointer to `Eina_Inarray`. Get a constant reference to the last element instead.

template<typename T >

static T const& efl::eina::_inarray_access_traits::front | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reference to the first element of the given `Eina_Inarray`.

Version of front(Eina_Inarray* raw) for const-qualified pointer to `Eina_Inarray`. Get a constant reference to the first element instead.

template<typename T >

static T const* efl::eina::_inarray_access_traits::begin | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant iterator to the begin of the memory block of the given `Eina_Inarray`.

Version of begin(Eina_Inarray* raw) for const-qualified `Eina_Inarray` handles. Returns a constant iterator instead.

template<typename T >

static T const* efl::eina::_inarray_access_traits::end | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant iterator to the end of the memory block of the given `Eina_Inarray`.

Version of end(Eina_Inarray* raw) const-qualified `Eina_Inarray`. Returns a constant iterator instead.

template<typename T >

static std::reverse_iterator<T const*> efl::eina::_inarray_access_traits::rbegin | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reverse iterator pointing to the reverse begin of the given Eina_Inarray.

Version of rbegin(Eina_Inarray* raw) for const-qualified Eina_Inarray handles. Returns a constant reverse iterator instead.

template<typename T >

static std::reverse_iterator<T const*> efl::eina::_inarray_access_traits::rend | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reverse iterator pointing to the reverse end of the given Eina_Inarray.

Version of rend(Eina_Inarray* raw) to const-qualified Eina_Inarray handles. Returns a constant reverse iterator instead.

template<typename T >

static T const* efl::eina::_inarray_access_traits::cbegin | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant iterator to the begin of the memory block of the given `Eina_Inarray`.

Works like begin(Eina_Inarray const* raw) but is granted to return a constant iterator even for handles that are not const-qualified.

template<typename T >

static T const* efl::eina::_inarray_access_traits::cend | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant iterator to the end of the memory block of the given `Eina_Inarray`.

Works like end(Eina_Inarray const* raw) but is granted to return a constant iterator even for handles that are not const-qualified.

template<typename T >

static std::reverse_iterator<T const*> efl::eina::_inarray_access_traits::crbegin | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reverse iterator to the end of the memory block of the given `Eina_Inarray`.

Works like rbegin(Eina_Inarray const* raw) but is granted to return a constant reverse iterator even for handles that are not const-qualified.

template<typename T >

static std::reverse_iterator<T const*> efl::eina::_inarray_access_traits::crend | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get a constant reverse iterator to the begin of the memory block of the given `Eina_Inarray`.

Works like rend(Eina_Inarray const* raw) but is granted to return a constant reverse iterator even for handles that are not const-qualified.

template<typename T >

static bool efl::eina::_inarray_access_traits::empty | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Check if the given Eina array is empty.

Returns
  `true` if the given array is empty, `false` otherwise.

This functions returns `true` if the given `Eina_Inarray` contains no elements, otherwise it returns `false`.

template<typename T >

static std::size_t efl::eina::_inarray_access_traits::size | ( | Eina_Inarray const * | raw | ) |
| inlinestatic

Get the size of the given `Eina_Inarray`.

Returns
  Number of elements in the given array.

This function returns the current number of elements inside of `raw`.

References eina_inarray_count().

template<typename T >

static T const& efl::eina::_inarray_access_traits::index | ( | Eina_Inarray const * | raw,
|  | std::size_t | i
| ) |  |
| inlinestatic

Get a constant reference to the element at the given position.

Parameters

  raw | Constant pointer to an `Eina_Inarray`.
  i | Position of the element.

Returns
  Constant reference to the element.

Version of index() for const-qualified `Eina_Inarray`. Returns a constant reference instead.

template<typename T >

static T& efl::eina::_inarray_access_traits::index | ( | Eina_Inarray * | raw,
|  | std::size_t | i
| ) |  |
| inlinestatic

Get a reference to the element at the given position.

Parameters

  raw | Pointer to a `Eina_Inarray`.
  i | Position of the element.

Returns
  Reference to the element.

This member function returns a reference to the element at position `i` inside `raw`.